Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1066218 - [Group View] Clicking on a language failed to update the value of itself
Summary: [Group View] Clicking on a language failed to update the value of itself
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Zanata
Classification: Retired
Component: Component-UI
Version: 3.3
Hardware: Unspecified
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Alex Eng
QA Contact: Zanata-QA Mailling List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-18 04:33 UTC by Ding-Yi Chen
Modified: 2015-07-31 01:48 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-31 01:48:41 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1056849 None None None Never

Internal Links: 1056849

Description Ding-Yi Chen 2014-02-18 04:33:29 UTC
+++ This bug was initially split from Bug #1056849 +++

Description of problem:
In Group View
When the translation is updated, click the locale under Languages column should update the stat of that locale, however, it did not.

Version-Release number of selected component (if applicable):
Zanata 3.3.0-SNAPSHOT (20140217-1515)

How reproducible:
Always

Step to reproduce:
1. You need two browser tabs. One showing the group view, the other is in translation editor view, editing one of the documents that belong to project in the group.
2. In translation editor tab, 
   Add a new translation or remove translation to make statistic change.
3. In group view tab, 
   switch the sort under both column "Languages" and <LOCALE> Projects to "word remaining" so you can easily compare.
4. Click at the <Locale> you were editing under the column "Languages" to get the statist of that locale

Actual:
The words under languages column does not equal to the sum of the project remaining words.

Expected:
The words under languages column should equal to the sum of the project remaining words.

Additional:
The value will be corrected after reload the page.

Comment 1 Alex Eng 2014-05-28 00:56:46 UTC
It seems like this is some sort of eventservices to implement where server will be sending updates or event to client to update. I don't think it is possible at the moment in JSF page, but will improve when we move to angular framework.

Comment 2 Alex Eng 2014-05-28 00:57:15 UTC
Note: this should be a RFE rather than bug.

Comment 3 Zanata Migrator 2015-07-31 01:48:41 UTC
Migrated; check JIRA for bug status: http://zanata.atlassian.net/browse/ZNTA-552


Note You need to log in before you can comment on or make changes to this bug.